<?php
namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;
?>

	<div id="view-BannerWrapper" class="view-wrapper">
		<div class="tr-wrapper">
			<div class="td-full">
				<h4 class="divider">Banner Settings</h4>
			</div>
		</div>
		
		<div class="tr-wrapper tr-color wrapper">
			<div id="bannerCreate" class="inner-table-content">
				<div class="inner-td-full">
					<h5>Create/Apply Banner</h5>
				</div>
				<div class="inner-td-content-full">
					<?php
					$content = ''; $makes = $models = $years = $vehicleclass = $tags = $dealers = array();
					$makes = cdp_plugin::$db_caller->cdp_db_init('make', array('pass'=>'1'));
					$models = cdp_plugin::$db_caller->cdp_db_init('model', array('pass'=>'1'));
					$vehicleclass = cdp_plugin::$db_caller->cdp_db_init('vehicleclass', array('pass'=>'1'));
					$dealers = cdp_plugin::$db_caller->cdp_db_init('dealers', array('pass'=>'1'));
					//Page
					$content .= '<div class="inner-row-wrap"><label>Page</label><select class=" admin-db-filter admin-db-banner-value" tag="page">';
						$content .= '<option value="">Both</option>';
						$content .= '<option value="list">List</option>';
						$content .= '<option value="detail">Detail</option>';
					$content .= '</select></div>';
					//Position
					$content .= '<div class="inner-row-wrap"><label>Position</label><select class=" admin-db-filter admin-db-banner-value" tag="position">';
						$content .= '<option value="top">Top</option>';
						$content .= '<option value="bottom">Bottom</option>';
					$content .= '</select></div>';
					//Dealers
					if( $dealers && count($dealers) > 1 ){
						$content .= '<div class="inner-row-wrap"><label>Dealer</label><select class=" admin-db-filter admin-db-banner-value" tag="dealer">';
							$content .= '<option value="">Select a Dealer</option>';
							foreach( $dealers as $dealer ){
								$content .= '<option value="'.$dealer['Dealer'].'">'.$dealer['Dealer'].'</option>';
							}
						$content .= '</select></div>';
					}
					//Sale Class
					$content .= '<div class="inner-row-wrap"><label>Sale Class</label><select class=" admin-db-filter admin-db-banner-value" tag="saleclass">';
						$content .= '<option value="">All</option>';
						$content .= '<option value="new">New</option>';
						$content .= '<option value="used">Used</option>';
						$content .= '<option value="cert">Certified</option>';
					$content .= '</select></div>';
					//Vehicle Class
					if( $vehicleclass ){
						$content .= '<div class="inner-row-wrap"><label>Class</label><select class=" admin-db-filter admin-db-banner-value" tag="vehicleclass">';
							$content .= '<option value="">Select a Vehicle Class</option>';
							foreach( $vehicleclass as $class ){
								$content .= '<option value="'.$class['Vehicleclass'].'">'.$class['Vehicleclass'].'</option>';
							}
						$content .= '</select></div>';
					}
					//Makes
					if( $makes ){
						$content .= '<div class="inner-row-wrap"><label>Make</label><select class=" admin-db-filter admin-db-banner-value" tag="make">';
							$content .= '<option value="">Select a Make</option>';
							foreach( $makes as $make ){
								$content .= '<option value="'.$make['Make'].'">'.$make['Make'].'</option>';
							}
						$content .= '</select></div>';
					}
					//Models
					if( $models ){
						$content .= '<div class="inner-row-wrap"><label>Model</label><select class=" admin-db-filter admin-db-banner-value" tag="model">';
							$content .= '<option value="">Select a Model</option>';
							foreach( $models as $model ){
								$content .= '<option value="'.$model['Model'].'">'.$model['Model'].'</option>';
							}
						$content .= '</select></div>';
					}
					echo $content;
					?>
					<div class="inner-row-wrap">
						<label>Start Date</label>
						<input type="text" tag="startdate" class="admin-db-banner-value input-long cdp-date-field" value="" placeholder="yyyy-mm-dd"/>
					</div>
					<div class="inner-row-wrap">
						<label>End Date</label>
						<input type="text" tag="enddate" class="admin-db-banner-value input-long cdp-date-field" value="" placeholder="yyyy-mm-dd"/>
					</div>
					<div class="inner-row-wrap">
						<label>Name</label>
						<input type="text" tag="name" class="admin-db-banner-value input-long required" value=""/>
					</div>
					<div class="inner-row-wrap">
						<label class="top">Banner Data:</label>
						<textarea type="text" id="new-banner-data" class="admin-db-banner-value text-inject" tag="banner_data" ></textarea>
					</div>
					<div class="admin-init-options">
						<div class="banner-save init-ajax-save-banner" tag='banner' name='vehicle_management_system/banners[]'>Save/Apply</div>
					</div>
				</div>
			</div>
			
		</div>
		
		<div class="tr-wrapper tr-color wrapper">
			<div id="bannerRows" class="inner-table-content">
				<div class="inner-td-full">
					<h5>Current Banners</h5>
				</div>
				<?php
				$rows = get_banner_rows( $this->options['vehicle_management_system']['banners'] );
				echo $rows;
				?>
			</div>
		</div>
	</div>